LOCAL-DEBBUGS(1p)

NAME
local-debbugs - use a local mirror of debbugs

SYNOPSIS
 local-debbugs [options]

 Options:
  --mirror, -M update local mirror
  --daemon, -D start the daemon
  --search, -S run a search
  --show, -s show a bug
  --debug, -d debugging level (Default 0)
  --help, -h display this help
  --man, -m display manual

OPTIONS

--mirror, -M
    Update the local mirror of debbugs bugs

--daemon, -D
    Start up the daemon on the configured local port to serve bugs which have been previously retrieved.

--search, -S
    Cause the running daemon to show the pkgreport.cgi page corresponding to the search by invoking sensible-browser and an appropriate url.

--show, -s
    Cause the running daemon to show the bugreport.cgi page corresponding to the bug by invoking sensible-browser and an appropriate url.

--port, -p
    The port that the daemon is running on (or will be running on.)

    Defaults to the value of the currently running daemon, the value in the configuration file, or 8080 if nothing is set.

--bugs-to-get
    File which contains the set of bugs to get. Defaults to ~/.debbugs/bugs_to_get

--bug-site
    Hostname for a site which is running a debbugs install. Defaults to bugs.debian.org

--bug-mirror
    Hostname for a site which is running an rsyncable mirror of the debbugs install above. Defaults to bugs-mirror.debian.org

--debug, -d
    Debug verbosity.

--help, -h
    Display brief useage information.

--man, -m
    Display this manual.

EXAMPLES

Update the local mirror
     local-debbugs --mirror

Start up the local-debbugs daemon
     local-debbugs --daemon

Search for bugs with severity serious
     local-debbugs --search severity:serious